ublas: boost::numeric::ublas::c_vector< T, N > Class Template Reference

# boost::numeric::ublas::c_vector< T, N > Class Template Reference

A dense vector of values of type `T` with the given `size`. The data is stored as an ordinary C++ array `T` `data_`[M].

Inherits vector_container< c_vector< T, N > >.

List of all members.

## Classes

class | const_iterator
class | iterator

## Public Types

typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef value_type | array_type [N]
typedef T * | pointer
typedef const T * | const_pointer
typedef const vector_reference < const self_type > | const_closure_type
typedef vector_reference < self_type > | closure_type
typedef self_type | vector_temporary_type
typedef dense_tag | storage_category
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator
typedef reverse_iterator_base < iterator > | reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | c_vector (size_type size)
BOOST_UBLAS_INLINE | c_vector (const c_vector &v)
template<class AE >
BOOST_UBLAS_INLINE | c_vector (const vector_expression< AE > &ae)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_pointer | data () const
BOOST_UBLAS_INLINE pointer | data ()
BOOST_UBLAS_INLINE void | resize (size_type size, bool preserve=true)
BOOST_UBLAS_INLINE pointer | find_element (size_type i)
BOOST_UBLAS_INLINE const_pointer | find_element (size_type i) const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE reference | operator() (size_type i)
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE reference | operator[] (size_type i)
BOOST_UBLAS_INLINE reference | insert_element (size_type i, const_reference t)
BOOST_UBLAS_INLINE void | erase_element (size_type i)
BOOST_UBLAS_INLINE void | clear ()
BOOST_UBLAS_INLINE c_vector & | operator= (const c_vector &v)
template<class C >
BOOST_UBLAS_INLINE c_vector & | operator= (const vector_container< C > &v)
BOOST_UBLAS_INLINE c_vector & | assign_temporary (c_vector &v)
template<class AE >
BOOST_UBLAS_INLINE c_vector & | operator= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE c_vector & | assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE c_vector & | operator+= (const vector_expression< AE > &ae)
template<class C >
BOOST_UBLAS_INLINE c_vector & | operator+= (const vector_container< C > &v)
template<class AE >
BOOST_UBLAS_INLINE c_vector & | plus_assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE c_vector & | operator-= (const vector_expression< AE > &ae)
template<class C >
BOOST_UBLAS_INLINE c_vector & | operator-= (const vector_container< C > &v)
template<class AE >
BOOST_UBLAS_INLINE c_vector & | minus_assign (const vector_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE c_vector & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE c_vector & | operator/= (const AT &at)
BOOST_UBLAS_INLINE void | swap (c_vector &v)
BOOST_UBLAS_INLINE const_iterator | find (size_type i) const
BOOST_UBLAS_INLINE iterator | find (size_type i)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()
template<class Archive >
void | serialize (Archive &ar, const unsigned int)

## Friends

BOOST_UBLAS_INLINE friend void | swap (c_vector &v1, c_vector &v2)

### template<class T, std::size_t N>
class boost::numeric::ublas::c_vector< T, N >